import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["overlay", "children", "className"];
import * as React from 'react';
import classnames from 'classnames';

var OverlayedBox = function OverlayedBox(_ref) {
  var overlay = _ref.overlay,
      children = _ref.children,
      className = _ref.className,
      props = _objectWithoutProperties(_ref, _excluded);

  var boxClass = classnames('sg-overlayed-box', className);
  return /*#__PURE__*/React.createElement("div", _extends({}, props, {
    className: boxClass
  }), children, /*#__PURE__*/React.createElement("div", {
    className: "sg-overlayed-box__overlay"
  }, overlay));
};

export default OverlayedBox;